# -*- coding: utf-8 -*-

<GDropBox>:

<Report_ind>:
    en: False
    #person_infs: ""


    canvas.before:
        Color:
            rgba: 0,0,0,.2
        Rectangle:
            size: self.size
            pos: self.pos
        Color:
            rgba: .4,.4,.4,.4
        Rectangle:
            size: (self.size[0]-4,self.size[1]-4)
            pos: (self.pos[0]+2,self.pos[1]+2)

        Color:
            rgba: .5,.5,.5,.8
        Rectangle:
            size: (self.size[0]-8,self.size[1]-8)
            pos: (self.pos[0]+4,self.pos[1]+4)

        Color:
            rgba: .95,.95,.95,1
        Rectangle:
            size: (self.size[0]-10,self.size[1]-10)
            pos: (self.pos[0]+5,self.pos[1]+5)


    opacity: 1 if self.en else 0
    orientation: "vertical"
    padding: 20,20,20,20
    spacing: 5

    AnchorLayout:
        anchor_x: 'right'
        anchor_y: 'center'
        size_hint: 1,None
        height: 24

        Button:
            size_hint_x: None
            width: 24
            #text: "close"
            background_normal: "data/icons/close.png"
            on_release:
                root.en=False
                root.parent.parent.ids.doc_list_view_container.disabled= False


########################################################################################
    BoxLayout:
        id: popular_infs
        size_hint_y: None
        height: 100
        spacing: 20
        padding:20

        canvas.before:
            Color:
                rgba: .6,0.6,0.6,0.3
            Rectangle:
                size: self.size
                pos: self.pos

        BoxLayout:
            orientation: "vertical"
            BoxLayout:
                spacing:5
                pos_hint: {"top":1}
                Label:
                    id: empty
                Label_f:
                    id: crt_dte
                    text: root.P_crt_dte
                    color: 0,0,0,1
                    font_size: 16
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {"top":1}

                Label_f:
                    text:strs.dateofdoccreation
                    color: 0,0,0,1
                    font_size: 14
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {"top":1}


        BoxLayout:
            orientation: "vertical"
            BoxLayout:
                spacing:5
                Label:
                    id: empty

                Label_f:

                    id: age
                    text: root.P_age
                    color: 0,0,0,1
                    font_size: 16
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {"top":1}

                Label_f:
                    text:strs.birthdate
                    color: 0,0,0,1
                    font_size: 14
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {"top":1}

            BoxLayout:
                spacing:5
                Label:
                    id: empty

                Label_f:
                    id: group
                    text: root.P_group
                    color: 0,0,0,1
                    font_size: 16
                    size_hint: None, None
                    size: self.texture_size

                Label_f:
                    text:strs.group
                    color: 0,0,0,1
                    font_size: 14
                    size_hint: None, None
                    size: self.texture_size

            Label:
                id: empty


        BoxLayout:
            orientation: "vertical"

            BoxLayout:
                spacing:5
                Label:
                    id: empty

                Label_f:
                    id: name
                    text: root.P_name
                    color: 0,0,0,1
                    font_size: 16
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {'top':1}

                Label_f:
                    text: strs.name
                    color: 0,0,0,1
                    font_size: 14
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {'top':1}

            BoxLayout:
                spacing:5
                Label:
                    id: empty
                Label_f:
                    id: sex
                    text: root.P_sex
                    color: 0,0,0,1
                    font_size: 16
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {'top':1}

                Label_f:
                    text: strs.sex
                    color: 0,0,0,1
                    font_size: 14
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {'top':1}
            Label:
                id: empty

########################################################################################

    BoxLayout:
        id: Game_inf
        #size_hint_y: None
        #height: 320

        canvas.before:
            Color:
                rgba: .6,0.6,0.6,0.3
            Rectangle:
                size: self.size
                pos: self.pos
        orientation: "vertical"
        padding: 10
        spacing:10

        BoxLayout:
            size_hint_y: None
            height: 20

            Label:

            Label_f:
                text:strs.history
                font_size: 15
                color: 0,0,0,1
                size_hint_x: None
        BoxLayout:
            size_hint: 1,None
            height: 30


            Num_Text:
                id: ta_y
                size_hint: None,.9
                width: 70
                max_chars: 4
                hint_text: "YYYY"
                write_tab: False

            Label:
                id: empty
                size_hint_x: None
                width: 5


            Num_Text:
                id: ta_m
                size_hint: None,.9
                width: 40
                max_chars: 2
                hint_text: "MM"
                write_tab: False

            Label:
                id: empty
                size_hint_x: None
                width: 5

            Label_f:
                size_hint: None, None
                size: self.texture_size
                text: strs.ta
                color: [0,0,0,1]
            Label:
                id: empty
                size_hint_x: None
                width: 5

            Num_Text:
                id: az_y
                size_hint: None,.9
                width: 70
                max_chars: 4
                hint_text: "YYYY"
                write_tab: False

            Label:
                id: empty
                size_hint_x: None
                width: 5


            Num_Text:
                id: az_m
                size_hint: None,.9
                width: 40
                max_chars: 2
                hint_text: "MM"
                write_tab: False


            Label:
                id: empty
                size_hint_x: None
                width: 5

            Label_f:
                size_hint: None, None
                size: self.texture_size
                text: strs.az
                color: [0,0,0,1]
            Label:
                id: empty
                size_hint_x: None
                width: 10

            C_Spinner:
                id: g_filter
                size_hint_x: .4


        BoxLayout:
            #size_hint_y: None
            #height: 300
            ListView:
                size_hint: (1.0, 1.0)
                id: Listing





    BoxLayout:
        id: Commands
        size_hint_y: None
        height: 64
        spacing: 20

        canvas.before:
            Color:
                rgba: .1,0.6,0.6,0
            Rectangle:
                size: self.size
                pos: self.pos


        Cbtn:
            tip: "export to excel"
            size_hint: None, None
            size: 64, 64
            background_normal: "data/icons/excel.png"
            on_release:
                root.export()

        Label:











